Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.plugin.comment.event
Class CommentEvent

    java.lang.Object
      org.blojsom.event.Event
          org.blojsom.plugin.admin.event.EntryEvent
              org.blojsom.plugin.comment.event.CommentEvent

Direct Known Subclasses:
  CommentAddedEvent, CommentApprovedEvent, CommentDeletedEvent, CommentMarkedSpamEvent, CommentUnapprovedEvent, CommentUnmarkedSpamEvent

public class CommentEvent
extends EntryEvent

Comment Event indicates an event dealing with a `BlogComment`.

Since:
  blojsom 3.0
Version:
  $Id: CommentEvent.java,v 1.1 2006/03/20 21:30:53 czarneckid Exp $
Author:
  Mark Lussier, David Czarnecki

Field Summary
`protected Comment` | `_comment`

Fields inherited from class org.blojsom.plugin.admin.event.EntryEvent
`_blog, _entry`

Fields inherited from class org.blojsom.event.Event
`_eventHandled, _source, _timestamp`

Constructor Summary
`CommentEvent(java.lang.Object source, java.util.Date timestamp, Comment comment, Blog blog)` Create a new event indicating something happened with a `Comment` in the system.

Method Summary
`Comment` | `getComment()` Retrieve the `Comment` associated with the event

Methods inherited from class org.blojsom.plugin.admin.event.EntryEvent
`getBlog, getEntry`

Methods inherited from class org.blojsom.event.Event
`getSource, getTimestamp, isEventHandled, setEventHandled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _comment

    protected Comment _comment

Constructor Detail

### CommentEvent

    public CommentEvent(java.lang.Object source,
                        java.util.Date timestamp,
                        Comment comment,
                        Blog blog)

  Create a new event indicating something happened with a `Comment` in the system.

Parameters:
  `source` - Source of the event
  `timestamp` - Event timestamp
  `comment` - `Comment`
  `blog` - `Blog`

Method Detail

### getComment

    public Comment getComment()

  Retrieve the `Comment` associated with the event

  Returns:
    `Comment`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD